Skip to main content
POST
/
public-api
/
end-companies
/
bulk-update
Bulk-update end-companies
curl --request POST \
  --url https://api.neoagent.io/public-api/end-companies/bulk-update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "<string>"
  ],
  "patch": {}
}
'
{
  "data": {
    "results": [
      {
        "id": "<string>",
        "error": {}
      }
    ]
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Body

application/json
ids
string[]
required
patch
Patch · object
required

Response

Success.

data
BulkUpdateResponse · object
required
meta
object
required